import nsCheckbox from './checkbox.vue';
import nsCheckboxGroup from './checkbox-group.vue';
import nsCheckboxAllGroup from './checkbox-allgroup.vue';
import type { App } from 'vue';

export const NsCheckbox = function (app: App) {
  app.component(nsCheckbox.name, nsCheckbox);
  app.component(nsCheckboxGroup.name, nsCheckboxGroup);
  app.component(nsCheckboxAllGroup.name, nsCheckboxAllGroup);
  return app;
};
